Start a new topic

Please roll back iOS app requirement to iOS 9

Not everyone has the ability to upgrade to iOS 10 on their phones. With the old app, which I can no longer update, my LaMetric has now become nearly useless. 


I could understand this for an app that needs cutting edge features, but as far as I can see, the new app is just like the old one. Does iOS 10 offer essential features that iOS 9 does not?

Login or Signup to post a comment